<?php
function processtext($text,$nr) { 
  $mytext=explode(" ",trim($text)); 
  $newtext=array(); 
  foreach($mytext as $k=>$txt) { 
    if (strlen($txt)>$nr) { 
      $txt=wordwrap($txt, $nr, "-", 1); 
    }     
  } 
  return implode(" ",$newtext); 
} 

function hungarianToEnglishConvert($string, $noSpace = false) {
	//Magyar ékezetes betűk
	$hungarianABC = array(
	'á','é','í','ó','ö','ő','ú','ü','ű',
	'Á','É','Í','Ó','Ö','Ő','Ú','Ü','Ű');
	//Angol ékezetes betűk
	$englishABC = array(
	'a','e','i','o','o','o','u','u','u',
	'A','E','I','O','O','O','U','U','U');
 
	//Ürek karakter (space) átalakítása
	if($noSpace !== false){
		return str_replace(' ', $noSpace, hungarianToEnglishConvert($string));
	}
 
	return str_replace($hungarianABC, $englishABC, $string);
}
 
function createAlias($name) {
	$return = NULL;
	if($name)
	{
		//Ékezetek eltávolítása és kisbetűvé alakítása
		$return = strtolower( hungarianToEnglishConvert($name) );
		//Összes nem szóalkotó karakter átalakítása
		$return = preg_replace("/\W/", " ", $return);
		//Szóközök átalakítása
		$return = preg_replace("/ +/", "-", trim($return));
	} 
	return $return;
}

function generateRandomString($length) {
    return substr(str_shuffle("abcdefghijklmnopqrstuvwxyz"), 0, $length);
}